scrub-obsolete Package - herculesstudio

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/herculesstudio scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 12f9699..59c3d10 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,9 @@ herculesstudio (1.5.0-5) UNRELEASED; urgency=low
   * Bump debhelper from deprecated 7 to 12.
   * Set debhelper-compat version in Build-Depends.
   * Set upstream metadata fields: Repository.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on quilt.
+    + herculesstudio: Drop versioned constraint on hercules in Depends.
 
  -- Debian Janitor <janitor@jelmer.uk>  Fri, 26 Jun 2020 19:55:08 -0000
 
diff --git a/debian/control b/debian/control
index 8ae926f..265581e 100644
--- a/debian/control
+++ b/debian/control
@@ -4,8 +4,8 @@ Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12),
  qt5-qmake,
- quilt (>= 0.48-7~),
- qtbase5-dev,
+ quilt,
+ qtbase5-dev
 Standards-Version: 3.9.5
 Homepage: http://hercstudio.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/herculesstudio.git
@@ -13,7 +13,7 @@ Vcs-Browser: https://salsa.debian.org/debian/herculesstudio
 
 Package: herculesstudio
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hercules (>= 3.07-2.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, hercules
 Description: Hercules GUI front-end
  Hercules Studio is a GUI front-end of the Hercules mainframe Emulator.
  With Hercules Studio, you can easily control and monitor the hercules

Run locally

Try this locally (using the lintian-brush package):

debcheckout herculesstudio
cd herculesstudio
deb-scrub-obsolete

More details

Full run details